## net.sf.saxon.tree.iter
Interface GroundedIterator

All Superinterfaces:
  SequenceIterator

All Known Implementing Classes:
  ArrayIterator, CompiledMemoClosure.ProgressiveIterator, EmptyIterator, ListIterator, ManualIterator, MemoClosure.ProgressiveIterator, NodeArrayIterator, NodeListIterator, OneItemGoneIterator, RangeIterator, SingleNodeIterator, SingletonIterator, ValueTailIterator

    public interface GroundedIterator

extends SequenceIterator

This interface is an extension to the SequenceIterator interface; it represents a SequenceIterator that is based on an in-memory representation of a sequence, and that is therefore capable of returned a SequenceValue containing all the items in the sequence.

Field Summary

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Method Summary
`GroundedValue` `materialize()` Return a GroundedValue containing all the items in the sequence returned by this SequenceIterator.

Methods inherited from interface net.sf.saxon.om.SequenceIterator
`close, current, getAnother, getProperties, next, position`

Method Detail

### materialize

    GroundedValue materialize()
                              throws XPathException

  Return a GroundedValue containing all the items in the sequence returned by this SequenceIterator. This should be an "in-memory" value, not a Closure.

  Returns:
    the corresponding Value
  Throws:
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.